import request from '@/utils/request'

// 查询地面诊断模型信息列表
export function listGroundDiagnosisModel(query) {
  return request({
    url: '/manage/groundDiagnosisModel/list',
    method: 'get',
    params: query
  })
}

// 查询地面诊断模型信息详细
export function getGroundDiagnosisModel(id) {
  return request({
    url: '/manage/groundDiagnosisModel/' + id,
    method: 'get'
  })
}

// 新增地面诊断模型信息
export function addGroundDiagnosisModel(data) {
  return request({
    url: '/manage/groundDiagnosisModel',
    method: 'post',
    data: data
  })
}

// 修改地面诊断模型信息
export function updateGroundDiagnosisModel(data) {
  return request({
    url: '/manage/groundDiagnosisModel',
    method: 'put',
    data: data
  })
}

// 删除地面诊断模型信息
export function delGroundDiagnosisModel(id) {
  return request({
    url: '/manage/groundDiagnosisModel/' + id,
    method: 'delete'
  })
}
